<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp040300-q3r-001_X99005-000_2012-12-31_01_2013-02-12.xsd#jpcrp040300-q3r_X99005-000_ReserveForA" xlink:label="ReserveForA"/>
    <link:label xlink:type="resource" xlink:label="label_ReserveForA" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="ja">A引当金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForA" xlink:to="label_ReserveForA" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_ReserveForA_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">A引当金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForA" xlink:to="label_ReserveForA_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp040300-q3r-001_X99005-000_2012-12-31_01_2013-02-12.xsd#jpcrp040300-q3r_X99005-000_ConstructionReportableSegmentMember" xlink:label="ConstructionReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_ConstructionReportableSegmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">建設</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ConstructionReportableSegmentMember" xlink:to="label_ConstructionReportableSegmentMember" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_ConstructionReportableSegmentMember_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="ja">建設、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ConstructionReportableSegmentMember" xlink:to="label_ConstructionReportableSegmentMember_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp040300-q3r-001_X99005-000_2012-12-31_01_2013-02-12.xsd#jpcrp040300-q3r_X99005-000_CivilEngineeringReportableSegmentMember" xlink:label="CivilEngineeringReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_CivilEngineeringReportableSegmentMember_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="ja">土木、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CivilEngineeringReportableSegmentMember" xlink:to="label_CivilEngineeringReportableSegmentMember_2" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_CivilEngineeringReportableSegmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">土木</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CivilEngineeringReportableSegmentMember" xlink:to="label_CivilEngineeringReportableSegmentMember" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp040300-q3r-001_X99005-000_2012-12-31_01_2013-02-12.xsd#jpcrp040300-q3r_X99005-000_RealEstateLeasingReportableSegmentMember" xlink:label="RealEstateLeasingReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_RealEstateLeasingReportableSegmentMember_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="ja">不動産賃貸、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RealEstateLeasingReportableSegmentMember" xlink:to="label_RealEstateLeasingReportableSegmentMember_2" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_RealEstateLeasingReportableSegmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">不動産賃貸</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RealEstateLeasingReportableSegmentMember" xlink:to="label_RealEstateLeasingReportableSegmentMember" order="1.0"/>
  </link:labelLink>
</link:linkbase>
